<?php

/*
 * @author Josef Kuchar www.web-reseni.cz
 */

require_once "facebook.php";

class myFb extends Facebook
{

	private $ini_array = array();


	public function __construct($mobile = "")
	{
		$this->ini_array = parse_ini_file("config.ini", true);

		$config = array(
				'appId' => $this->ini_array['fb']['appId'],
				'secret' => $this->ini_array['fb']['APP_SECRET'],
				'fileUpload' => TRUE
		);
		$this->mobile = $mobile;
		parent::__construct($config);
	}


	public function isFan()
	{
		$like = $this->api('/v2.0/me/likes/' . $this->ini_array['fb']['PAGE_TO_LIKE'], 'get');
		if (isset($like['data'][0]))
		{
			return TRUE;
		}
		else
		{
			return FALSE;
		}
	}


	public function isLogged()
	{
		// Získáme ID uživatele
		$user = $this->getUser();


		// Je uživatel přihlášený na Facebooku?
		if (isset($user))
		{
			try
			{
				$this->api('/v2.0/me');
				return TRUE;
			}
			catch (FacebookApiException $e)
			{

				$this->redirect();
			}
		}
		else
		{

			$this->redirect();
		}
	}


	public function getUserProfile()
	{
		if ($this->isLogged() === TRUE)
		{
			return $this->api('/v2.0/me');
		}
		else
		{
			return FALSE;
		}
	}


	public function getEmail()
	{
		if ($this->getUserProfile() != FALSE)
		{
			$userProfile = $this->getUserProfile();
			return $userProfile['email'];
		}
	}


	public function najdi_id($link)
	{
		$pos = strrpos($link, "/");
		$link = substr("$link", $pos + 1);
		return $link;
	}


	public function redirect()
	{ 

	    if (isset($_GET['error']))
			{
				echo "<script> top.location.href='rights.php'</script>";
	
			}

		if ($this->mobile == 'm/')
		{
			$redirect_uri = $this->ini_array['fb']['CANVAS_URL'] . $this->mobile;
		}
		else
		{
			$redirect_uri = $this->ini_array['fb']['CANVAS_PAGE'] . $this->mobile;
		}


		if (isset($_GET['id']) && $_GET['id'] > 0)
		{
			$urDetail = "detail.php?id=" . $_GET['id'];
			$redirect_uri = $redirect_uri . $urDetail;
		}

        require_once 'myDb.php';  
	$db = new myDb();
	$settings = $db->getSettings();
	if ($settings[0]['fanallow']=='1') {
		$login_url = $this->getLoginUrl(array("scope" => $this->ini_array['fb']['EXTENDED_PERSMISSIONS_3'], "redirect_uri" => $redirect_uri));
		}
		else {
			$login_url = $this->getLoginUrl(array("scope" => $this->ini_array['fb']['EXTENDED_PERSMISSIONS'], "redirect_uri" => $redirect_uri));
			 }

		echo("<script> top.location.href='" . $login_url . "'</script>");
		exit;
	}


	public function redirect_permission_2()
	{
		if ($this->mobile == 'm/')
		{
			$redirect_uri = $this->ini_array['fb']['CANVAS_URL'] . $this->mobile;
		}
		else
		{
			$redirect_uri = $this->ini_array['fb']['CANVAS_PAGE'] . $this->mobile;
		}
		if (isset($_GET['id']) && $_GET['id'] > 0)
		{
			$urDetail = "detail.php?id=" . $_GET['id'];
			$redirect_uri = $redirect_uri . $urDetail;
		}

		$login_url = $this->getLoginUrl(array("scope" => $this->ini_array['fb']['EXTENDED_PERSMISSIONS_2'], "redirect_uri" => $redirect_uri));
		echo("<script> top.location.href='" . $login_url . "'</script>");
		exit;
	}
	
	public function redirect_permission_4()
	{
		if ($this->mobile == 'm/')
		{
			$redirect_uri = $this->ini_array['fb']['CANVAS_URL'] . $this->mobile;
		}
		else
		{
			$redirect_uri = $this->ini_array['fb']['CANVAS_PAGE'] . $this->mobile;
		}
		if (isset($_GET['id']) && $_GET['id'] > 0)
		{
			$urDetail = "detail.php?id=" . $_GET['id'];
			$redirect_uri = $redirect_uri . $urDetail;
		}

		$login_url = $this->getLoginUrl(array("scope" => $this->ini_array['fb']['EXTENDED_PERSMISSIONS_4'], "redirect_uri" => $redirect_uri));
		echo("<script> top.location.href='" . $login_url . "'</script>");
		exit;
	}


}

?>
