<?php
//Photo Contest Facebook APP
//Created and Copyright Zbynek Hovorka
//Official FB page - https://www.facebook.com/pages/Photo-Contest-FB-App/457225521028147
//Special Thanks - Josef Kuchar
header('P3P: CP="NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"');
error_reporting(E_ALL);
ini_set('display_errors', '1');
include 'language/language.php';


require_once 'libs/myDb.php';
require_once 'libs/myFb.php';
$db = new myDb();
$facebook = new myFb();
$settings = $db->getSettings();

try
{
	$permissions = $facebook->api("/v2.0/me/permissions");    
        if(! array_key_exists('email', $permissions['data'][0]) ) {             
             header('Location: ./index.php');
        }
}
catch (Exception $ex){}


$ini_array = parse_ini_file("libs/config.ini", true);
$canvas_url = $ini_array['fb']['CANVAS_URL'];
$canvas_page = $ini_array['fb']['CANVAS_PAGE'];
$dateformat = $ini_array['date']['dateformat'];
$rights = $db->getRights();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title><?php print(_PAGETITLE); ?></title>
		<link href="style.css" rel="stylesheet" type="text/css" />
<?php include 'desktopcolors.php'; ?>
	</head>

	<body>
		<a name="top"></a>
		<?php
		$event = $db->getEvent();
		$settings = $db->getSettings();
		?>
		<div class="logo"><a href="./index.php">
				<img src="admin/upload/image_top.<?php echo $settings[0]['image_top']; ?>" title="<?php echo $event[0]['event']; ?>" alt="<?php echo $event[0]['event']; ?>" />
			</a></div>

		<div class="obsah">
			<h1><?php echo $rights['title']; ?></h1>

<?php echo $rights['content']; ?>
			<a href="<?php if (isset($_SESSION['redirect']))
{
	echo $_SESSION['redirect'] . "&rights=true";
}
else
{
	echo "./index.php?rights=true";
} ?>"><?php print(_RESENDPER); ?></a>
			 <?php print(_OROR); ?>
    <a href="http://facebook.com"><?php print(_LEAVEAPP); ?></a>
		</div>

<?php include './libs/tracking.php'; ?>
	</body>
</html>
