<?php
//Photo Contest Facebook APP
//Created and Copyright Zbynek Hovorka
//Official FB page - https://www.facebook.com/pages/Photo-Contest-FB-App/457225521028147
//Special Thanks - Josef Kuchar
header('P3P: CP="NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"');
session_start();

include 'libs/secure.php';
include 'language/language.php';


	$id = $_GET['id'];
	if (!is_numeric($id))
	{
		exit;
	}
	$ini_array = parse_ini_file("libs/config.ini", true);
	$appId = $ini_array['fb']['appId'];


	$canvas_url = $ini_array['fb']['CANVAS_URL'];
	$canvas_page = $ini_array['fb']['CANVAS_PAGE'];

	if(count($db->getPhotoByID($id))==0)
	{

		echo'<script> window.location="./404.php#top"; </script> ';
	}
$settings = $db->getSettings();
$end = strtotime($settings[0]['end']);
$nohtml = htmlentities($photo['description'], ENT_QUOTES, "UTF-8");

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php print(_DETAILTITLE); ?></title>
<link href='https://fonts.googleapis.com/css?family=PT+Sans+Narrow:400,700&subset=latin,latin-ext,cyrillic-ext,cyrillic' rel='stylesheet' type='text/css'>
<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
<?php foreach ($db->getPhotoByID($id) as $photo)
		{

		 ?>
<meta property="og:title" content="<?php echo $photo['photo_name']; ?>" />
<meta property="og:description" content="<?php echo $photo['description']; ?>" />
<meta property="og:url" content="<?php echo $canvas_page ; ?>detail.php?id=<?php echo $id; ?>" />
<meta property="og:image" content="<?php echo $canvas_url. 'libs/upload/upload/' .$photo['user_id'] .'/miniatury/' .$photo['name']; ?>" />
<meta property="fb:app_id" content="<?php echo $appId; ?>"/>
<?php

;}
?>
<script src="https://connect.facebook.com/<?php print(_FBLOCALE); ?>/sdk.js"></script>
<script type="text/javascript" charset="utf-8">
window.fbAsyncInit = function() 
{
    FB.init({ appId: '<?php echo $appidus; ?>', 
	version : 'v2.0',
    status: true, 
    cookie: true,
    xfbml: true,
    oauth: true});

    FB.Canvas.setAutoGrow();
}
</script>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.0/jquery.js"></script>
<script type="text/javascript" src="js/jquery.lazy.min.js"></script><script type="text/javascript">
// javascript code
// javascript code
jQuery(document).ready(function() {
    jQuery("img.lazy").lazy({
        effect: "fadeIn",

        effectTime: 300
    });
});
      </script>
      
     <?php include 'colors.php'; ?>
     <link href='css/clear.css' rel='stylesheet' type='text/css'>
     <link href="css/public.css" rel="stylesheet" type="text/css" />
</head>

<body style="width:760px; margin:auto;">
<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "https://connect.facebook.com/<?php print(_FBLOCALE); ?>/sdk.js#version=v2.0&xfbml=1&appId=<?php echo $appId; ?>";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>

<div class="photocontest_body">

   <div class="pc_header">
      <a href="./index.php">
		<img src="admin/upload/image_top.<?php echo $settings[0]['image_top']; ?>" title="<?php echo $event[0]['event'];?>" alt="<?php echo $event[0]['event'];?>" />
	  </a>
   </div><!--pc_header end-->
   
   <div class="clear"></div>
  <?php include 'navlinks.php'; ?>
   <div class="clear"></div>
   

<?php if(isset($_SESSION['message']))
	{
		echo "<div class='pc_allert'>" . $_SESSION['message'] . "</div>";
		unset($_SESSION['message']);
	} 

   $photoid = $db->getPhotoByID($id);
if ($photoid[0]['display']=='0') {
	
	echo "<div class='pc_allert'><div class='hlaska2'>"._IMAGEAPROVENOTYET."</div></div>";

   }
   
   if ($end < time())
	{
		echo "<div class='pc_allert'><div class='hlaska2'>" . _NOMOREVOTING . "</div></div>";
	}
	else
	{}
?>
   
   <div class="clear"></div>
   
  <?php   
  if ($settings[0]['fanallow']=='1') {
   if ($facebook->isFan() === FALSE)
{
	$ini_array = parse_ini_file("libs/config.ini", true);
	$appId = $ini_array['fb']['appId'];
	$PAGE_TO_LIKE_URL = $ini_array['fb']['PAGE_TO_LIKE_URL'];

	?>
    
   <div style="background:url(<?php echo 'libs/upload/upload/' .$photo['user_id'] .'/original/' .$photo['name'].''; ?>);" class="pc_fangate_detail">
   <div class="pc_fangate" onLoad="like();">
      <script>
FB.Event.subscribe('edge.create', function(response) {
    window.location.reload();
});
     </script>
      <img src="admin/upload/becomefan.<?php echo $settings[0]['becomefan']; ?>" title="" alt="" />
        <div class="pc_likebutton">
        <div class="fb-like" data-href="<?php echo $PAGE_TO_LIKE_URL; ?>" data-layout="button" data-action="like" data-show-faces="false" data-share="false"></div>
        </div>
      </div><!--pc_fangate end-->
      <div class="clear"></div>
      </div>
    
   <?php
}else{
 ?> 
  <?php 
   $nohtml = htmlentities($photo['description'], ENT_QUOTES, "UTF-8");
   
   foreach ($db->getPhotoByID($id) as $photo)
		{

		echo '<div class="pc_image">';
		if($db->getPhotoAfterID($id) >0){
			echo '<a href="./detail.php?id='.$db->getPhotoAfterID($id).'"><img data-src="' .$canvas_url. 'libs/upload/upload/' .$photo['user_id'] .'/original/' .$photo['name'] .'" class="lazy" src="image/empty.png"/></a>';
		}
		else
		{
			echo '<a href="./detail.php?id='.$db->getPhotoFirstID($id).'"><img data-src="' .$canvas_url. 'libs/upload/upload/' .$photo['user_id'] .'/original/' .$photo['name'] .'" class="lazy" src="image/empty.png"/></a>';
		}

		if($db->getPhotoBeforeID($id) >0){
			echo '<a href="./detail.php?id='.$db->getPhotoBeforeID($id).'" class="pc_left"><img src="image/leva.png" title="'._IMGPREV.'"></a>';
		}
		else{
			echo '<a href="./detail.php?id='.$db->getPhotoLastID($id).'" class="pc_left"><img src="image/leva.png" title="'._IMGPREV.'"></a>';
		}
		if($db->getPhotoAfterID($id) >0){
			echo '<a href="./detail.php?id='.$db->getPhotoAfterID($id).'" class="pc_right"><img src="image/prava.png" title="'._IMGNEXT.'"></a>';
		}
		else
		{
			echo '<a href="./detail.php?id='.$db->getPhotoFirstID($id).'" class="pc_right"><img src="image/prava.png" title="'._IMGNEXT.'"></a>';
		}

		echo '<div class="pc_image">
      <div class="pc_vote_box">
	     <div class="pc_dlike more"><div class="fb-like" data-href="'.$canvas_page.'detail.php?id=' .$id .'" data-send="false" data-layout="button_count" data-show-faces="false"></div></div>
         <div class="pc_dlike"><span><i class="fa fa-heart"></i>&nbsp;'. $photo['rating'] .'</span></div>
		 ';
	  ?>
      
	<?php
	$settings = $db->getSettings();
		$end = strtotime($settings[0]['end']);
	if ($end < time())
	{
		echo "<div style=\"margin-top:5px;\"></div>";
	}
	else
	{
		$CANVAS_PAGE = $ini_array['fb']['CANVAS_PAGE'];
	?>
    
  <div class="pc_dlike"><a href="./vote.php?id=<?php
	$appidus = $ini_array['fb']['API_KEY'];
	
	echo $id. "&photo=".$photo['photo_name']."&url=" . $canvas_page  . "&img=". $canvas_url. 'libs/upload/upload/' .$photo['user_id'] .'/original/' .$photo['name'] . "&desc=" . $photo['description']; ?>" class="pc_vote"><i class="fa fa-thumbs-up"></i>&nbsp;<?php print(_DTVOTE); ?></a></div>
  <?php
	}
	?>

      
		
	<?php	
		echo '
      </div><!--pc_vote_box end-->
      </div>
      </div>
	  
	  
	  <div class="clear"></div>
  
   
   <div class="pc_info_box">
       <table width="100%" border="1">
         <tr>
               <td class="pc_tdtext"><span>'._DTCAPTION.'</span></td>
               <td> ' . $photo['photo_name'] . '</td>
               <td rowspan="3" class="pc_aimg">
               <a target="_top" href="'. $photo['user_profile'] .'" title="'._DTAUTHOR.' '. $photo['username'] .'"><img src="https://graph.facebook.com/v2.0/'. $photo['user_id'] .'/picture" border="0" /></a>
               <br />
               <a href="'. $photo['user_profile'] .'" title="'._DTAUTHOR.' '. $photo['username'] .'"> '. $photo['username'] .'</a>
               </td>
        </tr>';
		
		if ($nohtml=="0")
	{
		echo '<tr>
               <td class="pc_tdtext"><span>'._DTDESCRIPTION.'</span></td>
               <td></td>
        </tr>';
	}
	else
	{   echo '<tr>
               <td class="pc_tdtext"><span>'._DTDESCRIPTION.'</span></td>
               <td>' . $nohtml . '</td>
        </tr>';} ?>
        
		<script>
FB.init({
appId:'<?php echo $appId; ?>',
version : 'v2.0',
cookie:true,
status:true,
xfbml:true
});

function FacebookInviteFriends()
{
FB.ui({
method: 'apprequests',
message: '<?php print(_INVITEFB); ?>'
});
}

function FacebookPostToWall()
{
FB.ui({
    method: 'feed',
    link: '<?php echo $canvas_page; ?>detail.php?id=<?php echo $id; ?>',
    name: '<?php echo $photo['photo_name']; ?>',
    caption: '<?php echo $photo['photo_name']; ?>',
    description: '<?php echo $photo['description']; ?>',
    picture: '<?php echo $canvas_url. 'libs/upload/upload/' .$photo['user_id'] .'/miniatury/' .$photo['name']; ?>',
    message: ''
});
}
</script>
		
        <tr>
               <td class="pc_tdtext"><span><?php print(_SHARE); ?></span></td>
               <td>
               <div class="pc_fawesome"><a href="#" title="<?php print(_POSTTOWALL); ?>" onclick="FacebookPostToWall();"><i class="fa fa-facebook"></i>&nbsp;</a></div>
               <div class="pc_fawesome"><a href="<?php echo 'https://twitter.com/intent/tweet?url='. $canvas_page .'detail.php?id=' .$id .'&text='.$photo['photo_name']; ?>" alt="<?php echo $photo['photo_name']; ?>" target="_blank"><i class="fa fa-twitter"></i>&nbsp;</a></div>  
               <div class="pc_fawesome"><a href="#" title="<?php print(_INVITEFBBUTTON); ?>" onclick="FacebookInviteFriends();"><i class="fa fa-users"></i>&nbsp;</a></div>  
			    
               </td>
        </tr>
		<tr>
               <td></td>
               <td></td>
			   <td></td>
        </tr>
		
        
       </table>

   </div><!--pc_info_box end-->
   <div class="clear"></div>
		
		
		
		
		
   
   
   <?php } ?>

  
   <div class="clear"></div>
   
   <div class="pc_info_box">
    <div class="fb-comments" data-href="<?php echo $url; ?>detail.php?id=<?php echo $id; ?>" data-num-posts="10" data-width="737"></div>
   </div><!--pc_info_box end-->
   
    <?php
}
 
 }else{ 
 
 $nohtml = htmlentities($photo['description'], ENT_QUOTES, "UTF-8");
   
   foreach ($db->getPhotoByID($id) as $photo)
		{

		echo '<div class="pc_image">';
		if($db->getPhotoAfterID($id) >0){
			echo '<a href="./detail.php?id='.$db->getPhotoAfterID($id).'"><img data-src="' .$canvas_url. 'libs/upload/upload/' .$photo['user_id'] .'/original/' .$photo['name'] .'" class="lazy" src="image/empty.png"/></a>';
		}
		else
		{
			echo '<a href="./detail.php?id='.$db->getPhotoFirstID($id).'"><img data-src="' .$canvas_url. 'libs/upload/upload/' .$photo['user_id'] .'/original/' .$photo['name'] .'" class="lazy" src="image/empty.png"/></a>';
		}

		if($db->getPhotoBeforeID($id) >0){
			echo '<a href="./detail.php?id='.$db->getPhotoBeforeID($id).'" class="pc_left"><img src="image/leva.png" title="'._IMGPREV.'"></a>';
		}
		else{
			echo '<a href="./detail.php?id='.$db->getPhotoLastID($id).'" class="pc_left"><img src="image/leva.png" title="'._IMGPREV.'"></a>';
		}
		if($db->getPhotoAfterID($id) >0){
			echo '<a href="./detail.php?id='.$db->getPhotoAfterID($id).'" class="pc_right"><img src="image/prava.png" title="'._IMGNEXT.'"></a>';
		}
		else
		{
			echo '<a href="./detail.php?id='.$db->getPhotoFirstID($id).'" class="pc_right"><img src="image/prava.png" title="'._IMGNEXT.'"></a>';
		}

		echo '<div class="pc_image">
      <div class="pc_vote_box">
	     <div class="pc_dlike more"><div class="fb-like" data-href="'.$canvas_page.'detail.php?id=' .$id .'" data-send="false" data-layout="button_count" data-show-faces="false"></div></div>
         <div class="pc_dlike"><span><i class="fa fa-heart"></i>&nbsp;'. $photo['rating'] .'</span></div>
		 ';
	  ?>
      
	<?php
	$settings = $db->getSettings();
		$end = strtotime($settings[0]['end']);
	if ($end < time())
	{
		echo "<div style=\"margin-top:5px;\"></div>";
	}
	else
	{
		$CANVAS_PAGE = $ini_array['fb']['CANVAS_PAGE'];
	?>
    
  <div class="pc_dlike"><a href="./vote.php?id=<?php
	$appidus = $ini_array['fb']['API_KEY'];
	
	echo $id. "&photo=".$photo['photo_name']."&url=" . $canvas_page  . "&img=". $canvas_url. 'libs/upload/upload/' .$photo['user_id'] .'/original/' .$photo['name'] . "&desc=" . $photo['description']; ?>" class="pc_vote"><i class="fa fa-thumbs-up"></i>&nbsp;<?php print(_DTVOTE); ?></a></div>
  <?php
	}
	?>

      
		
	<?php	
		echo '
      </div><!--pc_vote_box end-->
      </div>
      </div>
	  
	  
	  <div class="clear"></div>
  
   
   <div class="pc_info_box">
       <table width="100%" border="1">
         <tr>
               <td class="pc_tdtext"><span>'._DTCAPTION.'</span></td>
               <td> ' . $photo['photo_name'] . '</td>
               <td rowspan="3" class="pc_aimg">
               <a target="_top" href="'. $photo['user_profile'] .'" title="'._DTAUTHOR.' '. $photo['username'] .'"><img src="https://graph.facebook.com/v2.0/'. $photo['user_id'] .'/picture" border="0" /></a>
               <br />
               <a href="'. $photo['user_profile'] .'" title="'._DTAUTHOR.' '. $photo['username'] .'"> '. $photo['username'] .'</a>
               </td>
        </tr>';
		
		if ($nohtml=="0")
	{
		echo '<tr>
               <td class="pc_tdtext"><span>'._DTDESCRIPTION.'</span></td>
               <td></td>
        </tr>';
	}
	else
	{   echo '<tr>
               <td class="pc_tdtext"><span>'._DTDESCRIPTION.'</span></td>
               <td>' . $nohtml . '</td>
        </tr>';} ?>
        
		<script>
FB.init({
appId:'<?php echo $appId; ?>',
version : 'v2.0',
cookie:true,
status:true,
xfbml:true
});

function FacebookInviteFriends()
{
FB.ui({
method: 'apprequests',
message: '<?php print(_INVITEFB); ?>'
});
}

function FacebookPostToWall()
{
FB.ui({
    method: 'feed',
    link: '<?php echo $canvas_page; ?>detail.php?id=<?php echo $id; ?>',
    name: '<?php echo $photo['photo_name']; ?>',
    caption: '<?php echo $photo['photo_name']; ?>',
    description: '<?php echo $photo['description']; ?>',
    picture: '<?php echo $canvas_url. 'libs/upload/upload/' .$photo['user_id'] .'/miniatury/' .$photo['name']; ?>',
    message: ''
});
}
</script>
		
        <tr>
               <td class="pc_tdtext"><span><?php print(_SHARE); ?></span></td>
               <td>
               <div class="pc_fawesome"><a href="#" title="<?php print(_POSTTOWALL); ?>" onclick="FacebookPostToWall();"><i class="fa fa-facebook"></i>&nbsp;</a></div>
               <div class="pc_fawesome"><a href="<?php echo 'https://twitter.com/intent/tweet?url='. $canvas_page .'detail.php?id=' .$id .'&text='.$photo['photo_name']; ?>" alt="<?php echo $photo['photo_name']; ?>" target="_blank"><i class="fa fa-twitter"></i>&nbsp;</a></div>  
               <div class="pc_fawesome"><a href="#" title="<?php print(_INVITEFBBUTTON); ?>" onclick="FacebookInviteFriends();"><i class="fa fa-users"></i>&nbsp;</a></div>  
			    
               </td>
        </tr>
		<tr>
               <td></td>
               <td></td>
			   <td></td>
        </tr>
		
        
       </table>

   </div><!--pc_info_box end-->
   <div class="clear"></div>
		
		
		
		
		
   
   
   <?php } ?>

  
   <div class="clear"></div>
   
   <div class="pc_info_box">
    <div class="fb-comments" data-href="<?php echo $url; ?>detail.php?id=<?php echo $id; ?>" data-num-posts="10" data-width="737"></div>
   </div><!--pc_info_box end-->
   
    <?php
 
 }
  ?> 
  
  
  
  
   
   <?php include 'footer.php'; ?>
   
</div><!--PhotoContest_Body End-->

<?php include './libs/tracking.php'; ?>
</body>


</html>
