<?php
//Photo Contest Facebook APP
//Created and Copyright Zbynek Hovorka
//Official FB page - https://www.facebook.com/pages/Photo-Contest-FB-App/457225521028147
//Special Thanks - Josef Kuchar
header('P3P: CP="NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"');
error_reporting(E_ALL);
ini_set('display_errors', '1');
include 'language/language.php';
include 'libs/secure.php';
$ini_array = parse_ini_file("libs/config.ini", true);
$appidus = $ini_array['fb']['API_KEY'];

$event = $db->getEvent();
$settings = $db->getSettings();

		?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php print(_TITGALLERY); ?></title>

<link href='https://fonts.googleapis.com/css?family=PT+Sans+Narrow:400,700&subset=latin,latin-ext,cyrillic-ext,cyrillic' rel='stylesheet' type='text/css'>
<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.0/jquery.js"></script>
<script type="text/javascript" src="js/jquery.lazy.min.js"></script>
<script type="text/javascript">
// javascript code
// javascript code
jQuery(document).ready(function() {
    jQuery("img.lazy").lazy({
        effect: "fadeIn",
        effectTime: 400
    });
});
      </script>


<?php include 'colors.php'; ?>
<link href='css/clear.css' rel='stylesheet' type='text/css'>
<link href="css/public.css" rel="stylesheet" type="text/css" />

<script>
FB.init({
appId:'<?php echo $appidus; ?>',
version : 'v2.0',
cookie:true,
status:true,
xfbml:true
FB.Canvas.setAutoGrow();
});
</script>
</head>

<body style="width:760px; margin:auto;">
<div id="fb-root"></div>
  <script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "https://connect.facebook.net/<?php print(_FBLOCALE); ?>/sdk.js#version=v2.0&xfbml=1&appId=<?php echo $appidus; ?>";
  fjs.parentNode.insertBefore(js, fjs);
   }(document, 'script', 'facebook-jssdk'));
   </script>
   
<div class="photocontest_body">

   <div class="pc_header">
      <a href="./index.php">
		<img src="admin/upload/image_top.<?php echo $settings[0]['image_top']; ?>" title="<?php echo $event[0]['event'];?>" alt="<?php echo $event[0]['event'];?>" />
	  </a>
   </div><!--pc_header end-->
   
   <div class="clear"></div>
  <?php include 'navlinks.php'; ?>
   <div class="clear"></div>
   

   <div class="pc_order">
      <span><?php print(_ORDEREDBY); ?></span> ::
      <span <?php if (!isset($_GET['order_by']) or $_GET['order_by']=='id_desc' ){echo 'class="active"';}?>><a href="./gallery.php?order_by=id_desc"><?php print(_NEWEST); ?></a></span> ::
      <span <?php if (isset($_GET['order_by']) && $_GET['order_by']=='id_asc'){echo 'class="active"';}?>><a href="./gallery.php?order_by=id_asc"><?php print(_OLDEST); ?></a></span> ::
      <span <?php if (isset($_GET['order_by']) && $_GET['order_by']=='rating_desc'){echo 'class="active"';}?>><a href="./gallery.php?order_by=rating_desc"><?php print(_MOSTVOTES); ?></a></span> ::
      <span <?php if (isset($_GET['order_by']) && $_GET['order_by']=='rating_asc'){echo 'class="active"';}?>><a href="./gallery.php?order_by=rating_asc"><?php print(_LEASTVOTES); ?></a></span>
      <div class="clear"></div>
   </div><!--pc_order end-->
   
   
   
   <div class="pc_boxes">
     <?php
		$ini_array = parse_ini_file("libs/config.ini", true);
		$url = $ini_array['fb']['CANVAS_URL'];
		$order = array(
			'id_desc' => 'photos.id DESC',
			'id_asc' => 'photos.id ASC',
			'rating_desc' => 'photos.rating DESC',
			'rating_asc' => 'photos.rating ASC'
		);

		if (isset($_GET['order_by']) && array_key_exists(''.$_GET['order_by'].'', $order))
  {
   $orderBy = $order[$_GET['order_by']];
  }
  else
  {
   $orderBy = 'photos.id DESC';
  }
		if (isset($_GET['offset']) && is_numeric($_GET['offset']))
		{
			$offset = $_GET['offset'];
		}
		else
		{

			$offset = 0;
		}

		$hh = $db->getImgPerPage();
		$limit = $hh[0]['img_per_page'];
		$url = $ini_array['fb']['CANVAS_PAGE'];
		$canvas_url = $ini_array['fb']['CANVAS_URL'];
		


		foreach ($db->getGalleryFront($orderBy, $offset, $limit) as $gall)
		{
			echo '<div class="pc_box">';
		?>
        
        <script>
             function FacebookPostToWall<?php echo $gall['pid']; ?>()
             {
              FB.ui({
              method: 'feed',
              link: '<?php echo $url; ?>detail.php?id=<?php echo $gall['pid']; ?>',
              name: '<?php echo $gall['photo_name']; ?>',
              caption: '<?php echo $gall['photo_name']; ?>',
              description: '<?php echo $gall['description']; ?>',
              picture: '<?php echo $canvas_url. 'libs/upload/upload/' .$gall['user_id'] .'/miniatury/' .$gall['name']; ?>',
              message: ''
              });
              }
			  
        </script>
		<?php
		
           echo '
		   <div class="pc_box_img">
		    <a href="'. $canvas_url .  'detail.php?id=' .$gall['pid'] .'#top" target="_self">
		     <img class="lazy" data-src="libs/upload/upload/' .$gall['user_id'] .'/miniatury/' .$gall['name'] .'" src="image/pixel.gif" border="0" alt="'.$gall['photo_name'].'" title="'.$gall['photo_name'].'" width="176" height="176" />
			</a> 			 
           </div>
            <div class="pc_box_name">'.$gall['username'].'</div>
            <div class="pc_box_title">'.$gall['photo_name'].'</div>
            
            <div class="pc_box_icons">
               <div class="pc_likes">
               <i class="fa fa-heart"></i>&nbsp;' .$gall['rating'] .'
               <a href="#" onclick="FacebookPostToWall'.$gall['pid'].'();"><i class="fa fa-facebook-square"></i></a>
               <a href="https://twitter.com/intent/tweet?url='. $url .'detail.php?id=' .$gall['pid'] .'&text='.$gall['photo_name'].'" alt="' .$gall['photo_name'] .'" target="_blank"><i class="fa fa-twitter-square"></i></a>
               </div>      
            </div>	   
		</div><!--pc_box end-->
			';

		}
	?>   
         
        
   </div><!--pc_boxes end-->
   
   <div class="clear"></div>
   
   <div class="pc_pagination">
   
        <ul>

<?php

$hh = $db->getImgPerPage();
$pages = ceil($db->countImagesGallery()/$hh[0]['img_per_page']);

if (isset($_GET['page']) and is_numeric($_GET['page']))
{
	$page = $_GET['page'];
}
else
{
	$page = 1;
}

	if (isset($_GET['order_by']))
		{
		$oderBy = "?order_by=" .$_GET['order_by'] ."";
		}
		else
		{
			$oderBy = "?order_by=id_desc";
		}


$i = $page - 1;
if ($i >= 1)
{
	$u = ($i * $hh[0]['img_per_page']) - $hh[0]['img_per_page'];
	echo "<li><a href='./gallery.php$oderBy&amp;offset=$u&amp;page=$i#top'>" ._IMGPREV."</a></li>
	";
}


for ($i = 1; $i <= $pages; $i++)
{
	$u = ($i * $hh[0]['img_per_page']) - $hh[0]['img_per_page'];

		if ($page == $i)
		{
			echo "<li class=\"active\"><a href='./gallery.php$oderBy&amp;offset=$u&amp;page=$i#top'>$i</a></li>
			";
		}
		else
		{
			echo "<li><a href='./gallery.php$oderBy&amp;offset=$u&amp;page=$i#top'>$i</a></li>
			";
		}


}

$icko = $i;
$i = $page + 1;

if ($i != $icko)
{
	$u = ($i * $hh[0]['img_per_page']) - $hh[0]['img_per_page'];
	echo "<li><a href='./gallery.php$oderBy&amp;offset=$u&amp;page=$i#top'>" ._IMGNEXT."</a></li>
	";
}
	?>

</ul>
      
       
       <div class="clear"></div>
   </div><!--pc_pagination end-->
   
   <div class="clear"></div>
   
   <?php include 'footer.php'; ?>
   
</div><!--PhotoContest_Body End-->

<?php include './libs/tracking.php'; ?>
</body>
</html>