<?php
//Photo Contest Facebook APP
//Created and Copyright Zbynek Hovorka
//Official FB page - https://www.facebook.com/pages/Photo-Contest-FB-App/457225521028147
//Special Thanks - Josef Kuchar
header('P3P: CP="NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"');
error_reporting(E_ALL);
ini_set('display_errors', '1');
include 'language/language.php';
include 'libs/secure.php';

$ini_array = parse_ini_file("libs/config.ini", true);
$canvas_url = $ini_array['fb']['CANVAS_URL'];
$canvas_page = $ini_array['fb']['CANVAS_PAGE'];
$dateformat = $ini_array['date']['dateformat'];
$appidus = $ini_array['fb']['API_KEY'];

$event = $db->getEvent();
$settings = $db->getSettings();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php print(_PAGETITLE); ?></title>
<link href='https://fonts.googleapis.com/css?family=PT+Sans+Narrow:400,700&subset=latin,latin-ext,cyrillic-ext,cyrillic' rel='stylesheet' type='text/css'>
<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">


<script src="//connect.facebook.com/<?php print(_FBLOCALE); ?>/sdk.js"></script>
<script type="text/javascript" charset="utf-8">
window.fbAsyncInit = function() 
{
    FB.init({ appId: '<?php echo $appidus; ?>', 
	version : 'v2.0',
    status: true, 
    cookie: true,
    xfbml: true,
    oauth: true});

    FB.Canvas.setAutoGrow();
}
</script>
<link href='css/clear.css' rel='stylesheet' type='text/css'>
<link href="css/public.css" rel="stylesheet" type="text/css" />
<?php include 'colors.php'; ?>
</head>

<body style="width:760px; margin:auto;">

<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/<?php print(_FBLOCALE); ?>/sdk.js#xfbml=1&appId=<?php echo $appidus; ?>&version=v2.0";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>

<div class="photocontest_body">

   <div class="pc_header">
      <a href="./index.php">
		<img src="admin/upload/image_top.<?php echo $settings[0]['image_top']; ?>" title="<?php echo $event[0]['event'];?>" alt="<?php echo $event[0]['event'];?>" />
	  </a>
   </div><!--pc_header end-->
   
   <div class="clear"></div>
   <?php include 'navlinks.php'; ?>
   
 
   
   <div class="clear"></div>
 
 
   <?php if(isset($_SESSION['message']))
	{
		echo "<div class='pc_allert'>" . $_SESSION['message'] . "</div>";
		unset($_SESSION['message']);
	} ?>
    
    <div class="clear"></div>
    
   <?php


	$start = strtotime($settings[0]['start']);
	$end = strtotime($settings[0]['end']);
	if ($end > time())
	{
	if ($start < time())
	{



	//overi zda uzivatel nepresahl maximalni pocet fotek
	$hh = $db->getCount();
	if (count($db->getPhoto($facebook->getUser())) < $hh[0]['count'])
	{
	?>
    
    <?php   
	
if ($settings[0]['fanallow']=='1') {
	
	
   if ($facebook->isFan() === FALSE)
{
	$ini_array = parse_ini_file("libs/config.ini", true);
	$appId = $ini_array['fb']['appId'];
	$PAGE_TO_LIKE_URL = $ini_array['fb']['PAGE_TO_LIKE_URL'];

	?>
    
    <div class="pc_upload_box">
      <div class="pc_upload_title"><?php print(_UPLOADPHOTO); ?></div>
      <div class="clear"></div>
      
      <script language="JavaScript" type="text/javascript">
		function pocet_znaku () {
			delka=document.form.desc.value.length;
							obsah=document.form.desc.value;
							if (delka<249) {
								document.form.zbyva.value=250-(delka+1);
								document.form.napsano.value=delka+ 1; if (delka==249);}
							if (delka==249){ alert ("<?php print(_MAXCHARACTER); ?> 250");
								return false;}
							if (delka>249){ document.form.desc.value=obsah.substring(0,250);}
						}
	   </script>
      
      <form enctype="multipart/form-data" method="post" name="form" action="./libs/upload/save.php" >

         <div class="pc_form_line">
         <div class="pc_form_count">1</div>
         <div class="pc_form_image"><img width="21" height="21" src="https://graph.facebook.com/v2.0/<?php echo $facebook->getUser(); ?>/picture" border="0" alt="<?php echo $user['name']; ?>" /></div>
         <div class="pc_form_name"><?php echo $user['name']; ?></div>
         <div class="clear"></div>
         </div>
      
         <div class="pc_form_line">
         <div class="pc_form_count">2</div>
         <div class="pc_form_name"><?php print(_CHOOSEPHOTO); ?></div>
         <div class="pc_form_choose_button"><input type="file" name="files[]" /></div>
         <div class="clear"></div>
         </div>
         
         <div class="pc_form_line">
         <div class="pc_form_count">3</div>
         <div class="pc_form_input"><input type="text" name="photo_name" placeholder="<?php print(_PHOTONAME); ?>" /></div>
         <div class="pc_form_required"><?php print(_REQUIREDFIELD); ?></div>
         <div class="clear"></div>
         </div>
         
          <div class="pc_form_line">
         <div class="pc_form_count">4</div>
         <div class="pc_form_name"><?php print(_DESCRIPTION); ?></div>
         <div class="pc_form_required"><?php print(_MAXLENGHT250); ?></div>
         <div class="clear"></div>
         <div class="pc_form_textarea"><textarea id="custom_2_id" name="desc" onkeyup="pocet_znaku();"></textarea></div>
         <div class="px_form_letters_count">
             <?php print(_LEFT250); ?> <input name="zbyva" size="2" value="250"/>
             <?php print(_WRITTEN250); ?> <input name="napsano" size="2" value="0"  /> 
         </div>
         </div>
         
         <div class="clear pc_fivepix"></div>
         <div class="pc_form_term_text"><span><?php print(_AGREEWITH); ?> <a href="./rules.php"><?php print(_THERMSCONDITIONS); ?></a></span></div>
         <div class="pc_form_upload_button"><input type="submit" name="zelenetlacitko" value="<?php print(_UPLOADBUTTON); ?>"/></div>
         <div class="clear"></div>
        
         <input type="hidden" name="user_id" value="<?php echo $facebook->getUser(); ?>" />
  </form>
  
      <div class="pc_fangate" onLoad="like();">
      <script>
FB.Event.subscribe('edge.create', function(response) {
    window.location.reload();
});
     </script>
      <img src="admin/upload/becomefan.<?php echo $settings[0]['becomefan']; ?>" title="" alt="" />
        <div class="pc_likebutton">
        <div class="fb-like" data-href="<?php echo $PAGE_TO_LIKE_URL; ?>" data-layout="button" data-action="like" data-show-faces="false" data-share="false"></div>
        </div>
      </div><!--pc_fangate end-->
   
   </div><!--pc_upload_box end-->
	
    

<?php
}else{
 ?> 
   
   <div class="pc_upload_box">
      <div class="pc_upload_title"><?php print(_UPLOADPHOTO); ?></div>
      <div class="clear"></div>
      
      <script language="JavaScript" type="text/javascript">
		function pocet_znaku () {
			delka=document.form.desc.value.length;
							obsah=document.form.desc.value;
							if (delka<249) {
								document.form.zbyva.value=250-(delka+1);
								document.form.napsano.value=delka+ 1; if (delka==249);}
							if (delka==249){ alert ("<?php print(_MAXCHARACTER); ?> 250");
								return false;}
							if (delka>249){ document.form.desc.value=obsah.substring(0,250);}
						}
	   </script>
      
      <form enctype="multipart/form-data" method="post" name="form" action="./libs/upload/save.php" >

         <div class="pc_form_line">
         <div class="pc_form_count">1</div>
         <div class="pc_form_image"><img width="21" height="21" src="https://graph.facebook.com/v2.0/<?php echo $facebook->getUser(); ?>/picture" border="0" alt="<?php echo $user['name']; ?>" /></div>
         <div class="pc_form_name"><?php echo $user['name']; ?></div>
         <div class="clear"></div>
         </div>
      
         <div class="pc_form_line">
         <div class="pc_form_count">2</div>
         <div class="pc_form_name"><?php print(_CHOOSEPHOTO); ?></div>
         <div class="pc_form_choose_button"><input type="file" name="files[]" /></div>
         <div class="clear"></div>
         </div>
         
         <div class="pc_form_line">
         <div class="pc_form_count">3</div>
         <div class="pc_form_input"><input type="text" name="photo_name" placeholder="<?php print(_PHOTONAME); ?>" /></div>
         <div class="pc_form_required"><?php print(_REQUIREDFIELD); ?></div>
         <div class="clear"></div>
         </div>
         
          <div class="pc_form_line">
         <div class="pc_form_count">4</div>
         <div class="pc_form_name"><?php print(_DESCRIPTION); ?></div>
         <div class="pc_form_required"><?php print(_MAXLENGHT250); ?></div>
         <div class="clear"></div>
         <div class="pc_form_textarea"><textarea id="custom_2_id" name="desc" onkeyup="pocet_znaku();"></textarea></div>
         <div class="px_form_letters_count">
             <?php print(_LEFT250); ?> <input name="zbyva" size="2" value="250"/>
             <?php print(_WRITTEN250); ?> <input name="napsano" size="2" value="0"  /> 
         </div>
         </div>
         
         <div class="clear pc_fivepix"></div>
         <div class="pc_form_term_text"><span><?php print(_AGREEWITH); ?> <a href="./rules.php"><?php print(_THERMSCONDITIONS); ?></span></div>
         <div class="pc_form_upload_button"><input type="submit" name="zelenetlacitko" value="<?php print(_UPLOADBUTTON); ?>"/></div>
         <div class="clear"></div>
        
         <input type="hidden" name="user_id" value="<?php echo $facebook->getUser(); ?>" />
  </form>
   
   </div><!--pc_upload_box end-->
   
   <?php
}
}
		else { ?>
        
        <div class="pc_upload_box">
      <div class="pc_upload_title"><?php print(_UPLOADPHOTO); ?></div>
      <div class="clear"></div>
      
      <script language="JavaScript" type="text/javascript">
		function pocet_znaku () {
			delka=document.form.desc.value.length;
							obsah=document.form.desc.value;
							if (delka<249) {
								document.form.zbyva.value=250-(delka+1);
								document.form.napsano.value=delka+ 1; if (delka==249);}
							if (delka==249){ alert ("<?php print(_MAXCHARACTER); ?> 250");
								return false;}
							if (delka>249){ document.form.desc.value=obsah.substring(0,250);}
						}
	   </script>
      
      <form enctype="multipart/form-data" method="post" name="form" action="./libs/upload/save.php" >

         <div class="pc_form_line">
         <div class="pc_form_count">1</div>
         <div class="pc_form_image"><img width="21" height="21" src="https://graph.facebook.com/v2.0/<?php echo $facebook->getUser(); ?>/picture" border="0" alt="<?php echo $user['name']; ?>" /></div>
         <div class="pc_form_name"><?php echo $user['name']; ?></div>
         <div class="clear"></div>
         </div>
      
         <div class="pc_form_line">
         <div class="pc_form_count">2</div>
         <div class="pc_form_name"><?php print(_CHOOSEPHOTO); ?></div>
         <div class="pc_form_choose_button"><input type="file" name="files[]" /></div>
         <div class="clear"></div>
         </div>
         
         <div class="pc_form_line">
         <div class="pc_form_count">3</div>
         <div class="pc_form_input"><input type="text" name="photo_name" placeholder="<?php print(_PHOTONAME); ?>" /></div>
         <div class="pc_form_required"><?php print(_REQUIREDFIELD); ?></div>
         <div class="clear"></div>
         </div>
         
          <div class="pc_form_line">
         <div class="pc_form_count">4</div>
         <div class="pc_form_name"><?php print(_DESCRIPTION); ?></div>
         <div class="pc_form_required"><?php print(_MAXLENGHT250); ?></div>
         <div class="clear"></div>
         <div class="pc_form_textarea"><textarea id="custom_2_id" name="desc" onkeyup="pocet_znaku();"></textarea></div>
         <div class="px_form_letters_count">
             <?php print(_LEFT250); ?> <input name="zbyva" size="2" value="250"/>
             <?php print(_WRITTEN250); ?> <input name="napsano" size="2" value="0"  /> 
         </div>
         </div>
         
         <div class="clear pc_fivepix"></div>
         <div class="pc_form_term_text"><span><?php print(_AGREEWITH); ?> <a href="./rules.php"><?php print(_THERMSCONDITIONS); ?></span></div>
         <div class="pc_form_upload_button"><input type="submit" name="zelenetlacitko" value="<?php print(_UPLOADBUTTON); ?>"/></div>
         <div class="clear"></div>
        
         <input type="hidden" name="user_id" value="<?php echo $facebook->getUser(); ?>" />
  </form>
   
   </div><!--pc_upload_box end-->
			
			
<?php			
			}
 ?> 

   
    <?php 
		}
		else
		{
			echo '<div class="pc_allert"><div class="hlaska2">' . _MSGUPLOADLIMIT. '</div></div>';
		}
        

        
    }
	else
	{
		$source2 = $settings[0]['start'];
		$datum2 = new DateTime($source2);
		echo '<div class="pc_allert"><div class="hlaska2">' . _MSGCONTESTSTART. ' ' .$datum2->format($dateformat). '</div></div>';
	}
		}
	else
	{
		$source = $settings[0]['end'];
		$datum = new DateTime($source);
		echo '<div class="pc_allert"><div class="hlaska3">' . _MSGCONTESTHASENDED. ' ' . $datum->format($dateformat) . '</div></div>';
	}

	?>
   
   <div class="clear"></div>
   
    <?php
$start = strtotime($settings[0]['start']);
$end = strtotime($settings[0]['end']);
if ($end > time())
	{
	if ($start < time())
	{

    echo '<div class="pc_front_image"><img src="admin/upload/image_form.'. $settings[0]['image_form'].'" alt="" /></div>';

    }
	else
	{
	echo '<div class="pc_front_image"><img src="admin/upload/image_form.'. $settings[0]['image_form'].'" alt="" /></div>';
	}
		}
	else
	{
        if ($settings[0]['allow']=='1') {
		echo '<div style="background-image: url(image/winner.jpg); width:760px; height:514px;" class="pc_winnerbox">';
	$ini_array = parse_ini_file("./libs/config.ini", true);
							$url = $ini_array['fb']['CANVAS_URL'];
														foreach ($db->getGalleryFront($orderBy = 'photos.rating DESC', $ofsset = 0,1) as $gall)
							{
							echo '<div class="pc_winner">
							<div class="pc_textwinner">' . _WINNERCONTEST. '</div>
							<a target="_parent" href="'. $url .  'detail.php?id=' .$gall['pid'] .'"><img src="' .$url. '/libs/upload/upload/' .$gall['user_id'] .'/original/' .$gall['name'] .'" border="0" width="450"></a>
							<div class="pc_textvotes">' .$gall['rating'] .' ' . _VOTESCONTEST. '</div>
							</div>';

							}
		echo '</div>';
		}
		else {
			echo '<div class="ceny"><img src="admin/upload/image_form.'. $settings[0]['image_form'].'" alt="" /></div>';
			 }
	 
	}
?>
   <div class="clear"></div>
   
   <?php include 'footer.php'; ?>
   
</div><!--PhotoContest_Body End-->

     <?php include './libs/tracking.php'; ?>
</body>
</html>
